﻿@model DAL.DBEntities.InvoiceStructure
    @{
        Layout = null;

        DAL.DBEntities.vt_Customers _customer = Model._Customer;//new DAL.DBEntities.vt_Customers();
        IList<DAL.DBEntities.vt_Invoice> _inoive = Model._Invoice;//new DAL.DBEntities.vt_Invoice();
        IList<DAL.DBEntities.vt_InvoiceOffice> _inoiveoffice = Model._Invoiceoffice;
        IList<DAL.DBEntities.vt_InvoiceAzure> _inoiveazure = Model._Invoiceazure;
    }

    <html>
    <head>
        <title>EZY</title>

        <style>
            * {
                margin: 0;
                padding: 0;
            }
        </style>
    </head>

    <body style="font-family: arial;">
        <div style="width: 600px; margin: 0 auto">
            <div style="text-align: right; margin-top: 20px;">
                <img src="@(string.Concat(Request.UrlReferrer.OriginalString,"assets/img/logo-dark.png"))"></img>
            </div>

            <table style="width: 100%; border: 0; border-collapse: collapse; margin-bottom: 10px;font-size: 12px;">
                <tr>
                    <td width="50%">
                        <h4 style="font-size: 15px">@_customer.Company</h4>
                        <p style="margin-bottom: 30px;font-size: 12px;">
                            @string.IsNullOrEmpty(_customer.Address1)?_customer.Address1:_customer.Address2<br /> Muslim Town<br /> Lahore
                        </p>

                        <p style="margin-bottom: 15px;font-size: 12px;">
                            Customer Phone No. @_customer.PrimaryPhone
                        </p>

                        <table style="width: 90%; border: 0; border-collapse: collapse; margin-bottom: 15px;font-size: 12px;">
                            <tr>
                                <td>Bill-to Customer No.</td>
                                <td>PKC01191</td>
                            </tr>

                            <tr>
                                <td>VAT Registration No.</td>
                                <td>-</td>
                            </tr>

                            <tr>
                                <td colspan="2" height="15px">&nbsp;</td>
                            </tr>

                            <tr>
                                <td>Invoice No.</td>
                                <td>@_inoive.Select(x=>x.InvoiceNumber).FirstOrDefault()</td>
                            </tr>

                            <tr>
                                <td>Order No.</td>
                                <td>GPKSO00819</td>
                            </tr>
                            <tr>
                                <td colspan="2" height="15px">&nbsp;</td>
                            </tr>
                            <tr>
                                <td>Posting Date</td>
                                <td>@_inoive.Select(x => x.OrderDate.Value.ToString("MMM ,dd yyyy")).FirstOrDefault()</td>
                            </tr>
                            <tr>
                                <td colspan="2" height="15px">&nbsp;</td>
                            </tr>
                            <tr>
                                <td>Cust.NTN No.</td>
                                <td>0801530-9</td>
                            </tr>
                        </table>
                    </td>

                    <td width="50%">
                        <h4 style="font-size: 15px; text-align: right;">EZY Technologies Pvt Ltd.</h4>
                        <p style="margin-bottom: 15px; text-align: right;font-size: 12px;">
                            (Formerly eSys Pakistan (Pvt) Ltd)<br />
                            A-45, 1st Floor,S.M.C.H.S,Behind Fayyaz Centre.<br />
                            Off Shahra-e-faisal<br />
                            Karachi, 75400<br />
                            Pakistan<br /><br />

                            Phone No.:92-21-111-379-754.<br /><br />
                            Fax No.:92-21-34313912.
                        </p>

                        <table style="width: 95%; border: 0; border-collapse: collapse; margin-bottom: 15px;font-size: 12px;">
                            <tr>
                                <td>National Tax No.</td>
                                <td>2106476-8</td>
                            </tr>
                            <tr>
                                <td colspan="2" height="15px">&nbsp;</td>
                            </tr>
                            <tr>
                                <td>GST Reg.No.</td>
                                <td>17-12-8471-013-37</td>
                            </tr>
                            <tr>
                                <td colspan="2" height="15px">&nbsp;</td>
                            </tr>
                            <tr>
                                <td>Ext. Document No.</td>
                                <td>PD05990-2019</td>
                            </tr>
                            <tr>
                                <td colspan="2" height="15px">&nbsp;</td>
                            </tr>
                            <tr>
                                <td>Sales Person</td>
                                <td>Shahzad Lodhi</td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>

            <table style="width: 100%; border: 0; border-collapse: collapse; margin-bottom: 30px;font-size: 12px;">
                <tr>
                    <th style="text-align: left; padding: 10px 5px; padding-left: 0; border-bottom: 2px solid;">Part No.</th>
                    <th style="text-align: left; padding: 10px 5px; border-bottom: 2px solid;">Description</th>
                    <th style="text-align: right; padding: 10px 5px; border-bottom: 2px solid;">Quantity</th>
                    <th style="text-align: right; padding: 10px 5px; border-bottom: 2px solid; width: 70px;">Unit Price</th>
                    <th style="text-align: left; padding: 10px 5px; border-bottom: 2px solid; width: 52px;">GST %</th>
                    <th style="text-align: right; padding: 10px 5px; padding-right: 0; border-bottom: 2px solid;">Amount</th>
                </tr>

                @foreach (var office in Model._Invoiceoffice)
                {
                    <tr>
                        @*<td style="text-align: left; padding: 5px; padding-left: 0;">MST-@office.Key.DurableOfferId</td>
                        <td style="text-align: left; padding: 5px;">@office.OfferName</td>
                        <td style="text-align: right; padding: 5px;">@office.Quantity</td>*@
                        <td style="text-align: right; padding: 5px;">10,286.00</td>
                        <td style="text-align: left; padding: 5px;">17</td>
                        <td style="text-align: right; padding: 5px; padding-right: 0;">5,431,008.00</td>
                    </tr>
                }

                @foreach (var office in Model._Invoiceazure)
                {
                    <tr>
                        <td style="text-align: left; padding: 5px; padding-left: 0;">MST-91FD106F-4B2C-49</td>
                        <td style="text-align: left; padding: 5px;">Office 365 Enterprise E1</td>
                        <td style="text-align: right; padding: 5px;">528</td>
                        <td style="text-align: right; padding: 5px;">10,286.00</td>
                        <td style="text-align: left; padding: 5px;">17</td>
                        <td style="text-align: right; padding: 5px; padding-right: 0;">5,431,008.00</td>
                    </tr>
                }

                @foreach (var office in Model._Invoice)
                {
                    <tr>
                        <td style="text-align: left; padding: 5px; padding-left: 0;">MST-91FD106F-4B2C-49</td>
                        <td style="text-align: left; padding: 5px;">Office 365 Enterprise E1</td>
                        <td style="text-align: right; padding: 5px;">528</td>
                        <td style="text-align: right; padding: 5px;">10,286.00</td>
                        <td style="text-align: left; padding: 5px;">17</td>
                        <td style="text-align: right; padding: 5px; padding-right: 0;">5,431,008.00</td>
                    </tr>
                }

                <tr>
                    <td style="text-align: left; padding: 5px; padding-left: 0;">&nbsp;</td>
                    <td style="text-align: left; padding: 5px;">@_inoive.Select(x=>x.InvoiceNumber).FirstOrDefault()/20</td>
                    <td style="text-align: right; padding: 5px;">&nbsp;</td>
                    <td style="text-align: right; padding: 5px;">&nbsp;</td>
                    <td style="text-align: left; padding: 5px;">0</td>
                    <td style="text-align: right; padding: 5px; padding-right: 0;">&nbsp;</td>
                </tr>

                <tr>
                    <td style="text-align: left; padding: 5px; padding-left: 0;">&nbsp;</td>
                    <td style="text-align: left; padding: 5px;">P-00997</td>
                    <td style="text-align: right; padding: 5px;">&nbsp;</td>
                    <td style="text-align: right; padding: 5px;">&nbsp;</td>
                    <td style="text-align: left; padding: 5px;">0</td>
                    <td style="text-align: right; padding: 5px; padding-right: 0;">&nbsp;</td>
                </tr>

                <tr>
                    <td colspan="6" style="text-align: left; padding: 5px; padding-left: 0; font-size: 12px;">
                        End User : Abacus Consulting Technology Pvt Ltd
                    </td>
                </tr>

                <tr>
                    <td colspan="3" rowspan="2" style="text-align: left; padding: 5px; padding-left: 0; font-size: 12px;">
                        Amount in Words: RUPEES: EIGHT MILLION FIVE HUNDRED EIGHTY THOUSAND
                        SIX HUNDRED EIGHTY FOUR AND
                    </td>

                    <th style="text-align: right; padding: 5px;">Total PKR</th>
                    <th style="text-align: right; padding: 5px;">Excl. GST</th>
                    <th style="text-align: right; padding: 5px; padding-right: 0;">7,333,918.00</th>
                </tr>

                <tr>
                    <td style="text-align: right; padding: 5px;padding-top: 0;">&nbsp;</td>
                    <td style="text-align: right; padding: 5px;padding-top: 0;">GST Amt</td>
                    <td style="text-align: right; padding: 5px; padding-right: 0;padding-top: 0;">1,246,766.06</td>
                </tr>

                <tr>
                    <td colspan="6">&nbsp;</td>
                </tr>

                <tr>
                    <th>&nbsp;</th>
                    <th>&nbsp;</th>
                    <th>&nbsp;</th>
                    <th style="text-align: right; padding: 5px;">Total PKR</th>
                    <th style="text-align: right; padding: 5px;">Incl.GST</th>
                    <th style="text-align: right; padding: 5px; padding-right: 0; border-top: 1px solid">8,580,684.06</th>
                </tr>
            </table>

            <h4 style="font-size: 14px;margin-bottom: 30px;">
                Received goods as per description & count <br />& in good condition.
            </h4>

            <table style="width: 100%; border: 0; border-collapse: collapse;border-bottom: 2px solid;font-size: 12px;margin-bottom: 5px;">
                <tr>
                    <th style="padding: 5px; text-align: left;font-size:14px;">Recipient Signature</th>
                    <th style="padding: 5px; text-align: right;font-size:14px;">
                        <label style="padding: 5px; margin: 0;border-top: 1px solid">Authorized Signatory</label>
                    </th>
                </tr>

                <tr>
                    <td colspan="2">&nbsp;</td>
                </tr>
            </table>

            <p style="font-size: 12px;">
                Note: Effective from the date of creation of this invoice, In case of any dispute or change desired by BP will be
                entertain within 7 days.After 7 days we will not able to amend or re-issue the same invoice. The current applicable
                USD rate is applied to the implement GST.However the actual rate of USD will be applied at the time off final
                payment.In case of difference of amount BP must pay the balance amount accordingly.
            </p>
        </div>
    </body>
</html>
